%define name cyrus-sasl
%define version 1.5.11
%define release 2 
%define prefix /usr

Summary: The SASL library API for the Cyrus mail system.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
URL: http://asg.web.cmu.edu/cyrus/imapd/
Buildroot:/var/tmp/%{name}-root
Provides: libsasl

%description
The cyrus-sasl package contains the SASL library API implementation
for the Cyrus mail system.

%prep
%setup -q -n %{name}-%{version}

%build
(cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
./configure --prefix=%{prefix} --disable-krb4 --without-rc4 --disable-cram 
make)

%install
rm -rf $RPM_BUILD_ROOT
(cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
	make prefix=$RPM_BUILD_ROOT%{prefix} install )

strip -s $RPM_BUILD_ROOT%{prefix}/sbin/* || :
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/sasl/*
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/libsasl.la 
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/libsasl.so.*
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# update syslog
grep -q ^auth.debug /etc/syslog.conf || {
  echo -e "# auth.debug\t\t\t\t\t/var/log/auth.log" >>/etc/syslog.conf
  (umask 027 && touch /var/log/auth.log)
  killall -HUP syslogd 2>/dev/null
}

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/include/*.h
%{prefix}/lib/sasl/*
%{prefix}/lib/libsasl*
%dir %{prefix}/lib/sasl
%{prefix}/man/*/*
%{prefix}/sbin/saslpasswd

%changelog
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed man pages not being gzipped

* Tue Nov 16 1999 Tim Powers <timp@redhat.com>
- incorporated changes from Mads Kiilerich
- release number is 1, not mk1

* Tue Nov 10 1999 Mads Kiilerich <mads@kiilerich.com>
- updated to sasl 1.5.11
- configure --disable-krb4 --without-rc4 --disable-cram 
  because of missing libraries and pine having cram as default...
- handle changing libsasl.so versions

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
